#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,q,i,j,br=0;
    scanf("%d",&n);
    int a[n];
    for(i=0;i<n;i++)
    {
        scanf("%d",&a[i]);
    }
    scanf("%d",&q);
    int l[q],r[q];
    for(i=0;i<q;i++)
    {
        scanf("%d",&l[i]);
        scanf("%d",&r[i]);
    }
    for(i=0;i<q;i++)
    {
        j=l[i];
        while((br<2)&&(j<r[i]-1))
        {
            if(a[j]<a[j-1])
                br++;
            j++;
        }
        if(br<2)
        {
            printf("DA\n");
        }
        else
        {
            printf("NE\n");
        }
        br=0;
    }
    return 0;
}